WLANCAP2WPASEC(1)

NAME
wlancap2wpasec - hcx tools set

DESCRIPTION
wlancap2wpasec 7.1.2 (C) 2026 ZeroBeat usage: wlancap2wpasec <options> [input.pcapng] [input.pcap] [input.cap] [input.pcapng.gz]...

    wlancap2wpasec <options> *.pcapng wlancap2wpasec <options> *.gz wlancap2wpasec <options> *.*

options: -k <key> : wpa-sec user key -u <url> : set user defined URL

    default = https://wpa-sec.stanev.org

-t <seconds> : set connection timeout

    default = 30 seconds

-e <email address> : set email address, if required -R : remove cap if upload was successful -h : this help -v : show version

Do not merge different cap files to a single cap file. This will lead to unexpected behaviour on ESSID changes or different link layer types. To remove unnecessary packets, run tshark: tshark -r input.cap -R "(wlan.fc.type_subtype == 0x00 || wlan.fc.type_subtype == 0x02 || wlan.fc.type_subtype == 0x04 || wlan.fc.type_subtype == 0x05 || wlan.fc.type_subtype == 0x08 || eapol)" -2 -F pcapng -w output.pcapng To reduce the size of the cap file, compress it with gzip: gzip capture.pcapng

usage: wlancap2wpasec <options> [input.pcapng] [input.pcap] [input.cap] [input.pcapng.gz]...

    wlancap2wpasec <options> *.pcapng wlancap2wpasec <options> *.gz wlancap2wpasec <options> *.*

options: -k <key> : wpa-sec user key -u <url> : set user defined URL

    default = https://wpa-sec.stanev.org

-t <seconds> : set connection timeout

    default = 30 seconds

-e <email address> : set email address, if required -R : remove cap if upload was successful -h : this help -v : show version

Do not merge different cap files to a single cap file. This will lead to unexpected behaviour on ESSID changes or different link layer types. To remove unnecessary packets, run tshark: tshark -r input.cap -R "(wlan.fc.type_subtype == 0x00 || wlan.fc.type_subtype == 0x02 || wlan.fc.type_subtype == 0x04 || wlan.fc.type_subtype == 0x05 || wlan.fc.type_subtype == 0x08 || eapol)" -2 -F pcapng -w output.pcapng To reduce the size of the cap file, compress it with gzip: gzip capture.pcapng